<template>
   <form  @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right">
     <div class="m-portlet__body">
        <div class="form-group m-form__group">
            <label for="exampleInputEmail1">{{$t('item_nature.dr')}}</label>
            <div class="input-group m-input-group m-input-group--air">
                <div class="input-group-prepend"><span class="input-group-text" id="basic-addon1">+</span></div>
                <input type="text" name="item_nature_dr" v-model="s_fields.item_nature_dr" v-validate="'required'" :class="{ 'form-control m-input': true, 'is-danger': errors.has('item_nature_dr') }" :placeholder="$t('item_nature.pl_holder')" aria-describedby="basic-addon1">
            </div>
            <span v-if="s_errors && s_errors.item_nature_dr" class="m-form__help text-danger">{{s_errors.item_nature_dr[0]}}</span>
            <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('item_nature_dr')}" >{{errors.has('item_nature_dr') ? errors.first('item_nature_dr'): $t("item_nature.note_dr") }} </span>
        </div>

       <div class="form-group m-form__group">
            <label for="exampleInputEmail1">{{$t('item_nature.pa')}}</label>
            <div class="input-group m-input-group m-input-group--air">
                <div class="input-group-prepend"><span class="input-group-text" id="basic-addon1">+</span></div>
                <input type="text" name="item_nature_pa" v-model="s_fields.item_nature_pa" v-validate="'required'" class="form-control m-input" :placeholder="$t('item_nature.pl_holder')" aria-describedby="basic-addon1">
            </div>
            <span v-if="s_errors && s_errors.item_nature_pa" class="m-form__help text-danger">{{s_errors.item_nature_pa[0]}}</span>
            <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('item_nature_pa')}" >{{errors.has('item_nature_pa') ? errors.first('item_nature_pa'): $t("item_nature.note_pa") }} </span>
        </div>

        <div class="form-group m-form__group">
            <label for="exampleInputEmail1">{{$t('item_nature.en')}}</label>
            <div class="input-group m-input-group m-input-group--air">
                <div class="input-group-prepend"><span class="input-group-text" id="basic-addon1">+</span></div>
                <input type="text" name="item_nature_en" v-model="s_fields.item_nature_en" v-validate="'required'" class="form-control m-input" :placeholder="$t('item_nature.pl_holder')" aria-describedby="basic-addon1">
            </div>
            <span v-if="s_errors && s_errors.item_nature_en" class="m-form__help text-danger">{{s_errors.item_nature_en[0]}}</span>
            <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('item_nature_en')}" >{{errors.has('item_nature_en') ? errors.first('item_nature_en'): $t("item_nature.note_en") }} </span>
        </div>
    </div>
    <div class="m-portlet__foot m-portlet__foot--fit">
        <div class="m-form__actions">
            <button type="submit" class="btn btn-primary">{{this.$route.meta.create_btn_label}}</button>
            <router-link to="/item_nature" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
        </div>
    </div>
   </form>

</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';

    export default {
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/item_nature',
                'editMode': this.$route.meta.editMode,
                s_fields: {

                }
            }
        },
        methods: {
            editMainItem()
            {
                this.getDataForEdit();
            },
              switchLang: function(lang)
         {
            if (lang in this.$i18n.messages) {
                console.log('no ajax')
                this.$i18n.locale = lang
            } else {
                this.loadLocaleMessage(lang, (err, message) => {
                if (err) {
                console.error(err)
                return
                }
                this.$i18n.setLocaleMessage(lang, message)
                this.$i18n.locale = lang
                })
            }
          },
         loadLocaleMessage: function(locale, cb)
         {
            console.log('locale', locale);
            return fetch(`resources/js/lang/${locale}/Localization.json` , {
                method: 'get',
                headers: {
                'Accept': 'application/json',
                'Content-Type': 'application/json'
                }
            }).then((res) => {
                console.log('success');
                return res.json()
            }).then((json) => {
                if (Object.keys(json).length === 0) {
                return Promise.reject(new Error('locale empty !!'))
                } else {
                return Promise.resolve(json)
                }
            }).then((message) => {
                cb(null, message)
            }).catch((error) => {
                cb(error)
            })
        }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })
        },

    }
</script>
